Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.syntax
Class Item.Instruction

    java.lang.Object
      avrora.syntax.Item
          avrora.syntax.Item.Instruction

Enclosing class:
  Item

public static class Item.Instruction
extends Item

The `Instruction` item in a source program represents an instruction that must be simplified and added to the program. This is generally only applicable to the program (code) section.

Nested Class Summary

Nested classes inherited from class avrora.syntax.Item
`Item.InitializedData, Item.Instruction, Item.Label, Item.NamedConstant, Item.RegisterAlias, Item.UninitializedData`

Field Summary
`protected AbstractToken` | `name`
`protected SyntacticOperand[]` | `operands`
`protected InstrPrototype` | `proto`
`protected java.lang.String` | `variant`

Fields inherited from class avrora.syntax.Item
`byteAddress, module, segment`

Method Summary
`int` | `itemSize()`
`void` | `simplify()` The `simplify()` method reduces any computable constants to values, resolves register aliases, and creates instruction instances within this item, depending on exactly which type of item it is.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### variant

    protected final java.lang.String variant

### name

    protected final AbstractToken name

### operands

    protected final SyntacticOperand[] operands

### proto

    protected final InstrPrototype proto

Method Detail

### simplify

    public void simplify()

  Description copied from class: `Item`
  The `simplify()` method reduces any computable constants to values, resolves register aliases, and creates instruction instances within this item, depending on exactly which type of item it is.

  Specified by:
    `simplify` in class `Item`

### itemSize

    public int itemSize()

  Overrides:
    `itemSize` in class `Item`

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD